pgpool-II 4.1.1 Documentation
Prev | Up |  | Next

# pcp_watchdog_info

## Name

pcp_watchdog_info -- displays the watchdog status of the Pgpool-II

## Synopsis

`pcp_watchdog_info` [`options`...] [`watchdog_id`]

## Description

`pcp_node_info` displays the information on the given node ID.

## Options

`-n `watcgdog_id``
`--node-id=`watcgdog_id``

  The index of other Pgpool-II to get information for.

  Index 0 gets one's self watchdog information.

  If ommitted then gets information of all watchdog nodes.

`Other options`

  See pcp_common_options.

## Example

Here is an example output:

        $ pcp_watchdog_info -h localhost -U postgres

        3 NO Linux_host1.localdomain_9991 host1

        Linux_host1.localdomain_9991 host1 9991 9001 7 STANDBY
        Linux_host2.localdomain_9992 host2 9992 9002 4 MASTER
        Linux_host3.localdomain_9993 host3 9993 9003 7 STANDBY

The result is in the following order:

        The first output line describes the watchdog cluster information:

        1. Total watchdog nodes in the cluster
        2. Is VIP is up on current node?
        3. Master node name
        4. Master node host

        Next is the list of watchdog nodes:

        1. node name
        2. hostname
        3. pgpool port
        4. watchdog port
        5. current node state
        6. current node state name

The `--verbose` option can help understand the output. For example:

       $ pcp_watchdog_info -h localhost -v -U postgres

       Watchdog Cluster Information
       Total Nodes          : 3
       Remote Nodes         : 2
       Quorum state         : QUORUM EXIST
       Alive Remote Nodes   : 2
       VIP up on local node : NO
       Master Node Name     : Linux_host2.localdomain_9992
       Master Host Name     : localhost

       Watchdog Node Information
       Node Name      : Linux_host1.localdomain_9991
       Host Name      : host1
       Delegate IP    : 192.168.1.10
       Pgpool port    : 9991
       Watchdog port  : 9001
       Node priority  : 1
       Status         : 7
       Status Name    : STANDBY

       Node Name      : Linux_host2.localdomain_9992
       Host Name      : host2
       Delegate IP    : 192.168.1.10
       Pgpool port    : 9992
       Watchdog port  : 9002
       Node priority  : 1
       Status         : 4
       Status Name    : MASTER

       Node Name      : Linux_host3.localdomain_9993
       Host Name      : host3
       Delegate IP    : 192.168.1.10
       Pgpool port    : 9993
       Watchdog port  : 9003
       Node priority  : 1
       Status         : 7
       Status Name    : STANDBY

Prev | Home | Next
pcp_node_info | Up | pcp_proc_count